Get a dataset version
import requests
url = "https://app.langwatch.ai/api/v1/dataset/{slugOrId}/versions/{version}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/v1/dataset/{slugOrId}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/dataset/{slugOrId}/versions/{version} \
--header 'X-Auth-Token: <api-key>'{
"version": {
"id": "<string>",
"projectId": "<string>",
"datasetId": "<string>",
"version": 123,
"name": "<string>",
"trigger": "autosave",
"contentHash": "<string>",
"columnTypes": [
{
"name": "<string>",
"type": "string"
}
],
"rowCount": 4503599627370495,
"sizeBytes": 4503599627370495,
"chunkCount": 4503599627370495,
"restoredFromVersion": 4503599627370495,
"authorId": "<string>",
"authorKind": "user",
"pinned": true,
"runCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z"
},
"rows": [
{
"id": "<string>",
"entry": {}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 4503599627370495
}
}This response has no body data.Datasets
Get a dataset version
Read one version of a dataset: its metadata and a page of the rows it held. A version the dataset does not have is refused with dataset_version_not_found.
GET
/
api
/
v1
/
dataset
/
{slugOrId}
/
versions
/
{version}
Get a dataset version
import requests
url = "https://app.langwatch.ai/api/v1/dataset/{slugOrId}/versions/{version}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/v1/dataset/{slugOrId}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/dataset/{slugOrId}/versions/{version} \
--header 'X-Auth-Token: <api-key>'{
"version": {
"id": "<string>",
"projectId": "<string>",
"datasetId": "<string>",
"version": 123,
"name": "<string>",
"trigger": "autosave",
"contentHash": "<string>",
"columnTypes": [
{
"name": "<string>",
"type": "string"
}
],
"rowCount": 4503599627370495,
"sizeBytes": 4503599627370495,
"chunkCount": 4503599627370495,
"restoredFromVersion": 4503599627370495,
"authorId": "<string>",
"authorKind": "user",
"pinned": true,
"runCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z"
},
"rows": [
{
"id": "<string>",
"entry": {}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 4503599627370495
}
}This response has no body data.Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Query Parameters
Required range:
x <= 9007199254740991Required range:
x <= 500Last modified on November 3, 2026
Was this page helpful?